package xyz.max.max_flutter_engine

import android.app.Activity
import android.content.ActivityNotFoundException
import android.content.Intent
import android.net.Uri
import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.common.MethodChannel.MethodCallHandler
import io.flutter.plugin.common.MethodChannel.Result
import io.flutter.plugin.common.PluginRegistry.Registrar


class MaxFlutterEnginePlugin(private val mActivity: Activity) : MethodCallHandler {


    companion object {
        @JvmStatic
        fun registerWith(registrar: Registrar) {
            val channel = MethodChannel(registrar.messenger(), "max_flutter_engine")
            channel.setMethodCallHandler(MaxFlutterEnginePlugin(registrar.activity()))
        }
    }

    override fun onMethodCall(call: MethodCall, result: Result) {
        if (call.method == "requestReview") {
            val uri = Uri.parse("market://details?id=" + call.arguments)
            val myAppLinkToMarket = Intent(Intent.ACTION_VIEW, uri)
            try {
                mActivity.startActivity(myAppLinkToMarket)
                result.success(true)
            } catch (e: ActivityNotFoundException) {
                result.success(false)
            }

        } else if (call.method == "getPlatformVersion") {
            result.success("Android ${android.os.Build.VERSION.RELEASE}")
        } else {
            result.notImplemented()
        }
    }


}
