import Flutter
import UIKit
import StoreKit

public class SwiftMaxFlutterEnginePlugin: NSObject, FlutterPlugin {
    public static func register(with registrar: FlutterPluginRegistrar) {
        let channel = FlutterMethodChannel(name: "max_flutter_engine", binaryMessenger: registrar.messenger())
        let instance = SwiftMaxFlutterEnginePlugin()
        registrar.addMethodCallDelegate(instance, channel: channel)
    }

    public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
        if call.method == "requestReview" {
            if #available(iOS 10.3, *) {
                SKStoreReviewController.requestReview()
                result(true)
            } else {
                result(false)
            }

        } else {
            result("iOS " + UIDevice.current.systemVersion)
        }

    }

}
