import 'package:flutter/foundation.dart';
import 'package:flutter/widgets.dart';
import 'base_state.dart';

class BaseController {
  BaseState get state => _state;
  BaseState _state;

  BaseController();

  void setState(BaseState state) {
    _state = state;
  }

  void refresh() {
    if (state != null && state.mounted) {
      state.refresh();
    }
  }

  void showProgress() {
    if (state != null && state.mounted) {
      state.showProgress();
    }
  }

  void hideProgress() {
    if (state != null && state.mounted) {
      state.hideProgress();
    }
  }

  void showNetworkAlert(
    String content, {
    String title,
    VoidCallback onPressed,
  }) {
    state.showAlert('异常代码:$content, 请稍后重试', title: '操作失败');
  }

  void showAlert(
    String content, {
    String title,
    VoidCallback onPressed,
  }) {
    state.showAlert(content, title: title, onPressed: onPressed);
  }

  void showConformBottomSheet(
    String title,
    VoidCallback onPressed,
  ) {
    state.showConformBottomSheet(title, onPressed);
  }

  void showConformAlert(
    String content, {
    String title,
    VoidCallback onPressed,
  }) {
    state.showConformAlert(content, title: title, onPressed: onPressed);
  }

  dispose() {}
}
