class RegHelper {
  static bool isChinaPhoneLegal(String str) {
    return new RegExp('^1[0-9]{10}').hasMatch(str);
  }

  static bool isChinaTelOrPhoneLegal(String str) {
    return isNumeric(str) && (str.length > 6 && str.length <= 11);
  }

  static bool isIdCard(String str) {
    return new RegExp('^([1-9]\\d{5}[1-9]\\d{3}((0\\d)|(1[0-2]))(([0|1|2]\\d)|3[0-1])\\d{3}([0-9]|X))').hasMatch(str);
  }

  static bool isBankID(String str) {
    return new RegExp('^(\\d{16}|\\d{17}|\\d{18}|\\d{19})').hasMatch(str);
  }

  static bool isInt(String s) {
    if (s == null) {
      return false;
    }
    return int.tryParse(s) != null;
  }

  static bool isNumeric(String s) {
    if (s == null) {
      return false;
    }
    return double.tryParse(s) != null;
  }
}
