extension DoubleExtension on double {
  String toDisplayString() {
    return this.toStringAsFixed(this.truncateToDouble() == this ? 0 : 1);
  }
}

String getQueryStringParameter(String url, String key) {
  final uri = Uri.dataFromString(url);
  return uri.queryParameters[key];
}

int stringToInt(String text) {
  if (text == null || text.trim().isEmpty) {
    return 0;
  }
  return int.tryParse(text.trim()) ?? 0;
}

double stringToDouble(String text) {
  if (text == null || text.trim().isEmpty) {
    return 0;
  }
  return double.tryParse(text.trim()) ?? 0.0;
}
