import 'dart:async';
import 'dart:io';

import 'package:flutter/services.dart';
import 'package:max_flutter_engine/engine_config.dart';

class MaxFlutterEngine {
  static const MethodChannel _channel = const MethodChannel('max_flutter_engine');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<bool> get requestReview async {
    String id = Platform.isIOS ? EngineConfig.iosAppleID : EngineConfig.googlePlayID;
    final bool version = await _channel.invokeMethod('requestReview', id);
    return version;
  }
}
